QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
QXmppMucAdminIq Class Reference
Stanzas

The QXmppMucAdminIq class represents a chat room administration IQ as defined by XEP-0045: Multi-User Chat. More...

`#include <QXmppMucIq.h>`

Inheritance diagram for QXmppMucAdminIq:

List of all members.

## Public Member Functions
QList< QXmppMucItem > | items () const
| Returns the IQ's items.
void | setItems (const QList< QXmppMucItem > &items)

## Detailed Description

The QXmppMucAdminIq class represents a chat room administration IQ as defined by XEP-0045: Multi-User Chat.

It is used to get or modify room memberships.

## Member Function Documentation

void QXmppMucAdminIq::setItems | ( | const QList< QXmppMucItem > & | items | ) |

Sets the IQ's items.

Parameters:

  items |

The documentation for this class was generated from the following files:

- QXmppMucIq.h
- QXmppMucIq.cpp

All Classes Functions Enumerations Enumerator Properties